Rydoo Expense Android app is removing support for Android Jellybean (version 4.1 - 4.3.1) and Android Kitkat (version 4.4 and 4.4.4).

What does this mean?

Maintaining support for older Android versions limits our ability to ensure a reliable, high performance mobile experience and limits our ability to deliver new functionality to you. In addition, the latest Android versions provide our developers with better capabilities to improve the efficiency, reliability and performance of the app.

Am I affected?

If you are currently using the Rydoo Expense on Android Jellybean or Android Kitkat (version 4.1 - 4.4.4), this announcement applies to you.

You can check your operating system version by going to:

Settings > System > System update

For other devices such as Samsung, this can be different, but is usually following a similar path.

What can I do?

We recommend (where possible) upgrading to a device using Android 5.0 or above, to ensure you continue to receive updates for our app. However, if you can not update your device to Android 5.0 or above you will still be able to use older versions of the Xpenditure. You will just not receive any further updates.

If you have any further questions regarding this feel free to reach out to me on julien.steel@rydoo.com.

Did this answer your question?